Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 651456 - net-p2p/mldonkey: uses STRIP_MASK
Summary: net-p2p/mldonkey: uses STRIP_MASK
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Team for the ML programming language family
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: ebuild-prep
  Show dependency tree
 
Reported: 2018-03-25 11:00 UTC by Michał Górny
Modified: 2019-07-05 20:17 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-03-25 11:00:20 UTC
STRIP_MASK is a Portage extension and is not supported by any other package manager. This means that your package is silently BROKEN (mis-stripped) for some of our users.

Please remove its use. If you can't strip everything, please RESTRICT=strip.
Comment 1 Larry the Git Cow gentoo-dev 2019-07-05 20:17:39 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e8a99e83d3320a44b8ba8949d84e6459776b143a

commit e8a99e83d3320a44b8ba8949d84e6459776b143a
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2019-04-14 08:15:47 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2019-07-05 20:17:02 +0000

    net-p2p/mldonkey: Replace STRIP_MASK with RESTRICT=strip
    
    Closes: https://bugs.gentoo.org/651456
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 net-p2p/mldonkey/mldonkey-3.1.5-r1.ebuild | 5 +++--
 net-p2p/mldonkey/mldonkey-3.1.6-r1.ebuild | 5 +++--
 net-p2p/mldonkey/mldonkey-3.1.6.ebuild    | 5 +++--
 3 files changed, 9 insertions(+), 6 deletions(-)